Unable to connect '127.0.0.1', 3007

I have run the omni-system-monitor successfully. However, i have checked the log of nucleus. There is some error of connection.

2022-01-19 01:22:06 [2,145ms] [Info] [omni.core] [660] ../../../source/plugins/omni.core/impl/ServicesClients.cpp:operator()():429: discovery client: received non-ok status from the discovery service: 5 / Connection is terminated
2022-01-19 01:22:06 [2,160ms] [Warning] [carb] [646] ../../../source/framework/FrameworkImpl.cpp:acquireInterface():702: Acquiring non optional plugin interface which is not listed as dependency: [omni::server::IObjects v1.0] (plugin: (null)), by client: omni.core. Add it to CARB_PLUGIN_IMPL_DEPS() macro of a client.
2022-01-19 01:22:06 [2,160ms] [Info] [carb] [646] ../../../source/framework/PluginImpl.cpp:initialize():406: Initializing plugin: omni.objects (interfaces: [omni::server::IObjects v1.0]) (impl: omni.objects)
2022-01-19 01:22:06 [2,162ms] [Info] [carb] [646] ../../../source/framework/PluginImpl.cpp:initialize():406: Initializing plugin: omni.resolver (interfaces: [omni::IResolver v5.2]) (impl: omni.resolver)
2022-01-19 01:22:06 [2,163ms] [Warning] [carb] [646] ../../../source/framework/FrameworkImpl.cpp:acquireInterface():702: Acquiring non optional plugin interface which is not listed as dependency: [omni::server::IMetaUpgrade v1.0] (plugin: (null)), by client: omni.core. Add it to CARB_PLUGIN_IMPL_DEPS() macro of a client.
2022-01-19 01:22:06 [2,163ms] [Info] [carb] [646] ../../../source/framework/PluginImpl.cpp:initialize():406: Initializing plugin: omni.meta-upgrade (interfaces: [omni::server::IMetaUpgrade v1.0]) (impl: omni.meta-upgrade)
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:upgrade():2483: Meta database doesn't require upgrade
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixFolderChildrenCounters():1328: Fixing folder children counters ....
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixFolderChildrenCounters():1336: Processed 1 / 8 records
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixFolderChildrenCounters():1358: Checking for orphaned folder children counter records ....
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixFolderChildrenCounters():1369: Processed 1 / 8 records
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixFolderChildrenCounters():1393: Fixing folder children counters done
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixContentRefcounts():1240: Fixing content refcounts ....
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixContentRefcounts():1247: Collecting content -> refcount mapping ...
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixContentRefcounts():1251: Processed 1 / 8 records
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixContentRefcounts():1283: Collecting content -> refcount mapping done
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixContentRefcounts():1285: Setting refcount ...
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixContentRefcounts():1309: Setting refcount done
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1406: Repairing versioning data...
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1419: Reading meta records...
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1479: Checking branch lists...
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1523: Fixed branch lists count: 0
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1525: Checking version reference counters...
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1580: Fixed version reference counters: 0
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1581: Deleted orphaned version reference counters 0
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1583: Checking checkpoint messages...
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1644: Verifying checkpoints...
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1872: Deleted checkpoints without HEAD: 0
2022-01-19 01:22:06 [2,164ms] [Info] [omni.meta-upgrade] [646] ../../../source/plugins/omni.meta-upgrade/MetaUpgrade.cpp:fixVersioning():1873: Updated checkpoints ACLS: 0
2022-01-19 01:22:06 [2,164ms] [Info] [omni.core] [646] ../../../source/plugins/omni.core/impl/CoreImpl.cpp:getOmniResolverInstance():85: Successfully created OmniResolver instance of type(omniverse_resolver_composite)
2022-01-19 01:22:06 [2,165ms] [Info] [omni.core] [646] ../../../source/plugins/omni.core/impl/CoreImpl.cpp:initialize():553: Version: 112.0-24e642ff
2022-01-19 01:22:06 [2,165ms] [Info] [omni.core] [646] ../../../source/plugins/omni.core/impl/Mounts.cpp:createMount():96: Successfully created resolver of type: omniverse_resolver_s3
2022-01-19 01:22:06 [2,166ms] [Info] [omni.core] [646] ../../../source/plugins/omni.core/impl/Mounts.cpp:createMount():96: Successfully created resolver of type: omniverse_resolver_s3
2022-01-19 01:22:06 [2,166ms] [Info] [carb] [646] ../../../source/framework/PluginImpl.cpp:initialize():406: Initializing plugin: omni.metrics-prometheus (interfaces: [omni::server::IMetrics v1.0]) (impl: omni.metrics-prometheus)
2022-01-19 01:22:06 [2,168ms] [Info] [omni.core] [646] ../../../source/plugins/omni.core/impl/DeltaManager.cpp:processPendingDeltaManagerRecords():1432: Checking for any pending delta manager records.
2022-01-19 01:22:06 [2,168ms] [Info] [omni.core] [654] ../../../source/plugins/omni.core/impl/requests/DataStoreBase.cpp:runContentRemove():260: Started content remove task
2022-01-19 01:22:06 [2,169ms] [Info] [omni.core] [653] ../../../source/plugins/omni.core/impl/DeltaManager.cpp:pingTask():597: Starting delta applier process.
2022-01-19 01:22:06 [2,169ms] [Info] [carb.launcher.plugin] [653] ../../../source/plugins/carb.launcher/ProcessCommon.cpp:ProcessImpl():177: created the process object 0x7f010802cb60 for './omni.delta-applier.app'.
2022-01-19 01:22:06 [2,169ms] [Info] [carb.launcher.plugin] [653] ../../../source/plugins/carb.launcher/ProcessLinux.cpp:launch():432: launching the process './omni.delta-applier.app' from process 646.
2022-01-19 01:22:06 [2,170ms] [Info] [carb.launcher.plugin] [690] ../../../source/plugins/carb.launcher/ProcessLinux.cpp:forkProcess():668: [child]: starting the child process 690 from the parent 646.
2022-01-19 01:22:06 [2,170ms] [Info] [carb.launcher.plugin] [690] ../../../source/plugins/carb.launcher/ProcessLinux.cpp:forkProcess():677: [child]: setting the parent death signal for the child process 690.
2022-01-19 01:22:06 [2,174ms] [Info] [carb] [646] ../../../source/framework/PluginImpl.cpp:initialize():406: Initializing plugin: omni.eventlogger (interfaces: [omni::server::IEventLogger v1.0]) (impl: omni.eventlogger)
2022-01-19 01:22:06 [2,174ms] [Info] [omni.server] [646] ../../../source/plugins/omni.server/OmniverseServer.cpp:OmniverseServer():138: Omniverse C++ ApiServer server started.
2022-01-19 01:22:06 [2,174ms] [Info] [omni.signalhandler] [646] ../../../source/plugins/omni.signalhandler/SignalHandler.cpp:SignalHandler():150: Installed signal handler for SIGINT
2022-01-19 01:22:06 [2,174ms] [Info] [omni.signalhandler] [646] ../../../source/plugins/omni.signalhandler/SignalHandler.cpp:SignalHandler():159: Installed signal handler for SIGTERM
2022-01-19 01:22:06 [2,174ms] [Info] [omni.signalhandler] [646] ../../../source/plugins/omni.signalhandler/SignalHandler.cpp:SignalHandler():168: Ignoring SIGPIPE
2022-01-19 01:22:06 [2,247ms] [Info] [carb.launcher.plugin] [661] ../../../source/plugins/carb.launcher/ProcessLinux.cpp:forkProcess():839: [parent]: successfully launched the child process 690.
2022-01-19 01:22:06 [2,247ms] [Info] [carb.launcher.plugin] [653] ../../../source/plugins/carb.launcher/ProcessLinux.cpp:launch():560: [parent]: launched the child process 690 from the parent 646.
2022-01-19 01:22:06 [2,247ms] [Info] [carb.launcher.plugin] [653] ../../../source/plugins/carb.launcher/ProcessLinux.cpp:launch():583: [parent]: successfully launched the child process 690 {process = 0x7f010802cb60}
2022-01-19 01:22:06 [2,247ms] [Info] [carb.launcher.plugin] [694] ../../../source/plugins/carb.launcher/ProcessCommon.cpp:readFromHandleThread():410: starting the read thread for 'launcher stdout reader' for the child process 690.
2022-01-19 01:22:06 [2,247ms] [Info] [carb.launcher.plugin] [695] ../../../source/plugins/carb.launcher/ProcessCommon.cpp:readFromHandleThread():410: starting the read thread for 'launcher stderr reader' for the child process 690.
2022-01-19 01:22:06 [2,431ms] [Error] [omni.core] [668] ../../../source/plugins/common/ChildProcess.cpp:stderrReadCallback():30: From process ./omni-lft-service/omni-lft-service:Traceback (most recent call last):
  File "idl/connection/transport/omni.py", line 110, in prepare
  File "websockets/legacy/client.py", line 622, in __await_impl__
  File "asyncio/base_events.py", line 794, in create_connection
  File "asyncio/base_events.py", line 781, in create_connection
  File "asyncio/selector_events.py", line 439, in sock_connect
  File "asyncio/selector_events.py", line 469, in _sock_connect_cb
ConnectionRefusedError: [Errno 111] Connect call failed ('127.0.0.1', 3007)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "lft/server.py", line 520, in await_connection
  File "idl/connection/transport/omni.py", line 114, in prepare
idl.connection.transport.TransportError: [Errno 111] Connect call failed ('127.0.0.1', 3007)
2022-01-19 01:22:06,807 - system_log - INFO - reconnecting ...

2022-01-19 01:22:06 [2,440ms] [Error] [omni.core] [668] ../../../source/plugins/common/ChildProcess.cpp:stderrReadCallback():30: From process ./omni-lft-service/omni-lft-service:2022-01-19 01:22:06,815 - system_log - INFO - connected

2022-01-19 01:22:06 [2,443ms] [Error] [omni.core] [668] ../../../source/plugins/common/ChildProcess.cpp:stderrReadCallback():30: From process ./omni-lft-service/omni-lft-service:Server started

2022-01-19 01:22:06 [2,451ms] [Info] [omni.core] [652] ../../../source/plugins/omni.core/impl/DeltaManager.cpp:pingTask():627: Successfully started delta applier process.
2022-01-19 01:22:07 [3,145ms] [Info] [omni.core] [653] ../../../source/plugins/omni.core/impl/ServicesClients.cpp:run():355: discovery client: connecting to ws://localhost:3333
2022-01-19 01:22:07 [3,146ms] [Info] [omni.core] [653] ../../../source/plugins/omni.core/impl/ServicesClients.cpp:run():389: discovery client: registering 'external' with transport 'connlib' and transport parameters '{
    "url": "ws://127.0.0.1:3009"
}'

I have followed the step 4 -8 in 3. Advanced Installation — Omniverse Robotics documentation.
I have checked that the port 3009 is not used . Does anyone know how the problem can be solved? Thanks~

Did you try “localhost” instead of “127.0.0.1”? I had the same issue and the fastest solution was replacing “127.0.0.1” with “localhost”.